<template>
  <nuxt-link :to="link" class="flex justify-center w-full">
    <div class="relative w-full aspect-[3/1.35]">
      <span class="card-title">{{
        $t(name.replace(" ", "_").toLowerCase())
      }}</span>
      <div class="left-bg z-[9] w-full h-full">
        <img
          class="w-full h-full"
          :src="
            getAssetImage(
              'assets/theme/new_black_theme/home_bg/img_bg_entry_effect_h70.png'
            )
          "
        />
        <div class="bk8-blue-box rounded-lg"></div>
      </div>
      <div class="absolute top-0 w-full h-full left-2">
        <img
          class="absolute z-10 top-[-2px] h-full"
          :src="handleImportImage(logoImage)"
        />
      </div>
      <div class="absolute w-full h-full left-0 top-0 rounded-lg z-[7]">
        <img
          class="w-full h-full rounded-lg"
          :src="handleImportImage(bgImage)"
        />
      </div>
      <div class="bg-shadow z-[5]"></div>
    </div>
  </nuxt-link>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { handleGameEntryOpenWindow } from "@/composables/useTheme";
import EnumEntranceLocation from "@/models/enums/enumEntranceLocation";
import commonHelper from "@/utils/commonHelper";

export default defineComponent({
  props: {
    link: {
      type: String,
      required: false,
    },
    logoImage: {
      type: String,
      required: true,
    },
    bgImage: {
      type: String,
      required: true,
    },
    name: {
      type: String,
      required: true,
    },
  },
  setup() {
    const { getAssetImage } = commonHelper;
    const handleImportImage = (path = "") => {
      try {
        return getAssetImage(`assets/theme${path}`);
      } catch (e) {
        return path;
      }
    };
    return {
      handleImportImage,
      handleGameEntryOpenWindow,
      EnumEntranceLocation,
      getAssetImage,
    };
  },
});
</script>
